const useVariant = (definitions) => {
    const defineVariant = ($variants, $definitions) => {
        const _variants = $variants.value || $variants;
        const _definitions = (definitions === null || definitions === void 0 ? void 0 : definitions.value) || definitions || ($definitions === null || $definitions === void 0 ? void 0 : $definitions.value) || $definitions || {};
        try {
            return Object.keys(_variants)
                .map((key) => {
                if (typeof _variants[key] === 'object')
                    throw Error();
                const value = key.split('Prop')[0];
                return typeof _variants[key] === 'boolean'
                    ? !_variants[key]
                        ? ''
                        : _definitions[value.length > 0 ? value : key]
                    : _variants[key];
            })
                .join(' ');
        }
        catch (error) {
            console.warn('[useVariant] Wrong format - use string or boolean.');
        }
    };
    return {
        defineVariant,
    };
};

export { useVariant };
//# sourceMappingURL=index.es.js.map
